package app;

import GL.system.Display;
import app.dialog.startApp.DialogStartApp;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.RenderingHints;
import java.awt.image.BufferedImage;

/**
 *
 * @author all
 */
public class Main {

    public static Display display;

    public static void main(String[] args){
        new DialogStartApp();
    }
    
    public static BufferedImage getCursor(){
        BufferedImage im = new BufferedImage(32, 32, BufferedImage.TYPE_INT_ARGB);
        Graphics2D g = (Graphics2D) im.getGraphics();
        g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
        g.setStroke(new BasicStroke(1));
        g.setColor(new Color(255, 0, 0, 200));
        g.drawLine(0, 0, 31, 31/2);
        g.drawLine(0, 0, 31/2, 31);
        g.drawLine(31/2, 31, 7, 7);
        g.drawLine(31, 31/2, 7, 7);
        
        return im;
    }

}
