package app;

import java.io.File;
import kuusisto.tinysound.Music;
import kuusisto.tinysound.TinySound;

/**
 * @author Death
 */
public class MusicManager {

    public static Music game;
    public static Music menu;
    
    public static void init(){
        if(!Setting.PlayerSound)
            return;
        TinySound.init();
        game = TinySound.loadMusic(new File("./sound/city.mid"));
        menu = TinySound.loadMusic(new File("./sound/fonMenu.mid"));
    }
    
    public static void play(String name){
        if(!Setting.PlayerSound)
            return;
        switch(name){
            case "game": game.play(true); break;
            case "menu": menu.play(true); break;
        }
    }
    
    public static void stop(String str){
        if(!Setting.PlayerSound)
            return;
        switch(str){
            case "game": game.stop(); break;
            case "menu": menu.stop(); break;
        }
    }
}
