package app.block.material;

/**
 * @author Death
 */
public class Material {

    public static final int
            TREE = 1,
            DIRST = 2,
            STONE = 3,
            ORE = 4,
            JEWEL = 5;
    
    public static final Material tree = new Material(TREE);
    public static final Material dirst = new Material(DIRST);
    
    public int levelLight;
    public int type;

    public Material(int type){
        this.type = type;
        this.levelLight = 0;
    }
    
    public Material setLevelLight(int l){
        this.levelLight = l;
        return this;
    }
    
}
