package app.dialog.shop;

import app.Manager;
import app.item.Item;
import app.item.ItemsSys;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * @author Death
 */
public class DialogShop extends JDialog{
    private class Panel extends JPanel{
        JButton next, back;
        JLabel labelTitle;
        JTextField numberItem;
        Item item;
        int priceItem;
        int W = 400;
        int H = 25 * 3 + 5 * 4;
        public Panel(DialogShop d){
            super();
            item = null;
            priceItem = 0;
            this.setLayout(null);
            this.setLocation(0, 0);
            this.setPreferredSize(new Dimension(W, H));
            next = new JButton("Купить");
            back = new JButton("Назад");
            labelTitle = new JLabel("Цена");
            numberItem = new JTextField("1");
            Font f = new Font("calibri", 0, 17);
            
            labelTitle.setHorizontalAlignment((int)Label.CENTER_ALIGNMENT);
            labelTitle.setLocation(5, 5);
            labelTitle.setSize(W - 10, 25);
            labelTitle.setFont(f);
            
            numberItem.setLocation(5, 5 + 5 + 25);
            numberItem.setSize(W - 10, 25);
            numberItem.setFont(f);
            
            next.setLocation(5, H - (25 + 5));
            next.setSize((W - 10) / 2 - 5 - 10, 25);
            next.setFont(f);
            next.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e){
                    int num = Integer.valueOf(numberItem.getText());
                    if(num * priceItem <= Manager.game.player.money){
                        Manager.game.player.money -= num * priceItem;
                        for(int i = 0; i < num; i++){
                            if(!Manager.game.player.inventoryBar.addItem(ItemsSys.getNewItem(item)))
                                if(!Manager.game.player.inventory.addItem(ItemsSys.getNewItem(item))){}
                        }
                        d.setVisible(false);
                    }else{
                    }
                }
            });
            
            back.setLocation(W - ((W - 10) / 2 - 5 - 10) - 5, H - (25 + 5));
            back.setSize((W - 10) / 2 - 5 - 10, 25);
            back.setFont(f);
            back.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e){
                    d.setVisible(false);
                }
            });
            
            
            this.setBackground(new Color(140, 140, 140, 140));
            this.add(back);
            this.add(next);
            this.add(numberItem);
            this.add(labelTitle);
        }
    }
    
    public Panel panel;

    public DialogShop(){
        super();
        panel = new Panel(this);
        this.setUndecorated(true);
        this.setEnabled(true);
        this.add(panel);
        this.pack();
        this.setLocationRelativeTo(null);
        this.setTitle("Покупка");
        this.setFocusableWindowState(true);
        this.setVisible(false);
    }
    
    public void visible(String str, Item im, int mon){
        panel.labelTitle.setText(str);
        panel.numberItem.setText("1");
        panel.priceItem = mon;
        panel.item = im;
        this.setVisible(true);
    }
}
