package app.dialog.startApp;

import GL.system.Display;
import GL.system.SM;
import app.Main;
import static app.Main.display;
import app.Manager;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.image.BufferedImage;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * @author Death
 */
public class DialogStartApp extends JDialog{
    private class Panel extends JPanel{
        BufferedImage logo;
        public Panel(DialogStartApp d){
            super();
            int W = 400;
            int H = 100;
            JButton yes, no;
            JLabel label;
            this.setLayout(null);
            this.setLocation(0, 0);
            this.setPreferredSize(new Dimension(W, H));
            yes = new JButton("Да");
            no = new JButton("Нет");
            label = new JLabel("Включить звук в игре?");
            Font f = new Font("calibri", 0, 23);
            
            label.setHorizontalAlignment((int)Label.CENTER_ALIGNMENT);
            label.setLocation(5, 5);
            label.setSize(W - 10, 25);
            label.setFont(f);
            
            yes.setLocation(5, H - (25 + 5));
            yes.setSize((W - 10) / 2 - 5 - 10, 25);
            yes.setFont(f);
            yes.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e){
                    app.Setting.PlayerSound = true;
                    Manager.initDisplay();
                    d.setVisible(false);
                }
            });
            
            no.setLocation(W - ((W - 10) / 2 - 5 - 10) - 5, H - (25 + 5));
            no.setSize((W - 10) / 2 - 5 - 10, 25);
            no.setFont(f);
            no.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e){
                    app.Setting.PlayerSound = false;
                    Manager.initDisplay();
                    d.setVisible(false);
                }
            });
            
            this.setBackground(new Color(140, 140, 140, 140));
            this.add(no);
            this.add(yes);
            this.add(label);
            logo = SM.resize(SM.imgFile("./res/logo.png"), W, H);
        }

        @Override
        protected void paintComponent(Graphics g){
            g.drawImage(logo, 0, 0, null);
        }
        
    }

    public DialogStartApp(){
        super();
        this.setUndecorated(true);
        this.setModal(false);
        this.add(new Panel(this));
        this.pack();
        this.setLocationRelativeTo(null);
        this.setTitle("Старт LandscapeCraft");
        this.setVisible(true);
    }
    
    
}
