package app.file;

import app.Manager;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author Death
 */
public class FileGame {

    public static void save(){
        Manager.game.screenFile.goSave();
        try{
            FileMap.save();
            FilePlayer.save();
            FileMobs.save();
        }catch(IOException ex){
            Logger.getLogger(FileGame.class.getName()).log(Level.SEVERE, null, ex);
        }
        Manager.game.screenFile.visible = false;
    }
    
    public static void load(){
        try{
            Thread.sleep(2000);
        }catch(InterruptedException ex){
            Logger.getLogger(FileMap.class.getName()).log(Level.SEVERE, null, ex);
        }
        Manager.game.screenFile.goLoad();
        try{
            FileMap.load();
            FileMobs.load();
            FilePlayer.load();
        }catch(IOException ex){
            Logger.getLogger(FileGame.class.getName()).log(Level.SEVERE, null, ex);
        }
        Manager.game.screenFile.visible = false;
    }
}
