package app.file;

import app.Manager;
import app.block.BlockSys;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * @author Death
 */
public class FileMap {

    public static String path = "./save/map.bin";
    
    public static void save() throws FileNotFoundException, IOException{
        DataOutputStream out = new DataOutputStream(new FileOutputStream(path));
        out.writeLong(Manager.game.ground.ID_MAP);
        out.writeInt(Manager.game.ground.layer.w);
        out.writeInt(Manager.game.ground.layer.h);
        for(int i = 0; i < Manager.game.ground.layer.w; i ++){
            for(int j = 0; j < Manager.game.ground.layer.h; j++){
                out.writeInt(Manager.game.ground.layer.getTile(i, j).id);
            }
        }
        out.close();
    }
    
    public static void load() throws FileNotFoundException, IOException{
        DataInputStream in = new DataInputStream(new FileInputStream(path));
        Manager.game.ground.ID_MAP = in.readLong();
        int w = in.readInt(), h = in.readInt();
        for(int i = 0; i < w; i++){
            for(int j = 0; j < h; j++){
                Manager.game.ground.layer.setTile(BlockSys.get(in.readInt()).clontIns(), i, j);
            }
        }
        in.close();
    }
}
