package app.file;

import app.mobs.Mob;
import app.mobs.MobRender;
import app.mobs.MobSys;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 * @author Death
 */
public class FileMobs {

    public static String path = "./save/mobs.bin";
    
    public static void save() throws FileNotFoundException, IOException{
        DataOutputStream out = new DataOutputStream(new FileOutputStream(path));
        out.writeInt(MobRender.mobs.size());
        for(int i = 0; i < MobRender.mobs.size(); i++){
            out.writeInt(MobRender.mobs.get(i).id);
            out.writeInt(MobRender.mobs.get(i).x);
            out.writeInt(MobRender.mobs.get(i).y);
            out.writeInt(MobRender.mobs.get(i).health);
        }
        out.close();
    }
    
    public static void load() throws FileNotFoundException, IOException{
        DataInputStream in = new DataInputStream(new FileInputStream(path));
        int num = in.readInt();
        for(int i = 0; i < num; i++){
            Mob m;
            m = MobSys.getModId(in.readInt()).cop();
            m.x = in.readInt();
            m.y = in.readInt();
            m.health = in.readInt();
            MobRender.add(m);
        }
        in.close();
    }
}
