package app.file;

import GL.system.SM;
import app.Manager;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 * @author Death
 */
public class FilePlayer {

    public static String path = "./save/player.bin";
    
    public static void save() throws FileNotFoundException, IOException{
        FileInv.save();
        DataOutputStream out = new DataOutputStream(new FileOutputStream(path));
        out.writeInt(Manager.game.player.x);
        out.writeInt(Manager.game.player.y);
        out.writeInt(Manager.game.player.maxBounce);
        out.writeInt(Manager.game.player.speed);
        out.writeInt(Manager.game.map.x);
        out.writeInt(Manager.game.map.y);
        out.writeInt(Manager.game.player.money);
    }
    
    public static void load() throws FileNotFoundException, IOException{
        FileInv.load();
        DataInputStream in = new DataInputStream(new FileInputStream(path));
        Manager.game.player.x = in.readInt();
        Manager.game.player.y = in.readInt();
        Manager.game.player.maxBounce = in.readInt();
        Manager.game.player.speed = in.readInt();
        Manager.game.map.x = in.readInt() + SM.rnd(0, 200) - 100;
        Manager.game.map.y = in.readInt() + SM.rnd(0, 200) - 100;
        Manager.game.player.money = in.readInt();
    }
}
