package app.file;

import GL.system.Display;
import GL.system.SM;
import GL.system.screen.Render;
import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics2D;

/**
 * @author Death
 */
public class ScreenFile extends Render{

    public boolean visible;
    String str;

    public ScreenFile(){
        visible = false;
        str = "null";
    }
    
    @Override
    public void paint(Graphics2D g){
        g.setColor(new Color(0,0,0,160));
        g.fillRect(0, 0, Display.getWidth(), Display.getHeight());
        Font f = g.getFont();
        g.setColor(new Color(255, 0, 0, 200));
        g.setFont(new Font("calibri", 0, 35));
        g.drawString(str, Display.getWidth() / 2 - SM.getWidthStr(g, str) / 2, Display.getHeight() / 2 - SM.getHeightStr(g, str));
        g.setFont(f);
    }
    
    public void goSave(){
        visible = true;
        str = "Сохранение данных...";
    }
    
    public void goLoad(){
        visible = true;
        str = "Загрузка данных...";
    }
}
