package app.game.background;

import GL.system.Display;
import GL.system.SM;
import GL.system.screen.Render;
import java.awt.Color;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

/**
 * @author Death
 */
public class Background extends Render{

    Cloud[] cloud;
    BufferedImage image;

    public Background(){
        BufferedImage im = SM.imgFile("./res/logo.png");
        image = SM.resize(im, (int)(im.getWidth() * 0.4), (int)(im.getHeight() * 0.4));
        cloud = new Cloud[20];
        for(int i = 0; i < cloud.length; i++){
            cloud[i] = new Cloud();
        }
    }
    
    @Override
    public void paint(Graphics2D g) {
        super.paint(g); //To change body of generated methods, choose Tools | Templates.
        g.setColor(new Color(32, 216, 255));
        g.fillRect(0, 0, Display.getWidth(), Display.getHeight());
        for(int i = 0; i < cloud.length; i++){
            cloud[i].paint(g);
        }
        g.drawImage(image, Display.getWidth() - image.getWidth(), 0, null);
    }

    @Override
    public void update(){
        super.update(); //To change body of generated methods, choose Tools | Templates.
        for(int i = 0; i < cloud.length; i++){
            cloud[i].update();
        }
    }

    
}
