package app.inventory;

import GL.system.screen.Screen;
import app.Manager;
import app.player.Listener;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;

/**
 * @author Death
 */
public class InvScreen extends Screen{

    public InvScreen(){
        super();
        this.setVisible(false);
    }

    @Override
    public void paintGUI(Graphics2D g){
        Manager.game.player.inventory.paint(g);
        Manager.game.player.inventoryBar.paint(g);
        if(Cursor.stack != null){
            BufferedImage im = Cursor.stack.items.get(0).image;
            g.drawImage(im, Listener.mouseInv.x - im.getWidth(), Listener.mouseInv.y - im.getHeight(), null);
        }
    }

    @Override
    public void setVisible(boolean v){
        super.setVisible(v); //To change body of generated methods, choose Tools | Templates.
        if(Manager.game != null){
            if(v){
                Manager.game.player.inventoryBar.invScreenInit();
            }else{
                Manager.game.player.inventoryBar.gameScreenInit();
            }
        }
    }
}
