package app.item;

import app.item.Item;
import java.util.ArrayList;

/**
 * @author Death
 */
public class ItemsSys {

    public static ArrayList<Item> items;

    public static void init(){
        items = new ArrayList<>();
    }
    
    public static Item getNewItem(Item i){
        Item s = new Item();
        s.image = i.image;
        s.id = i.id;
        s.stackMax = i.stackMax;
        s.name = i.name;
        return s;
    }
    
    public static Item getItemById(int id){
        for(int i = 0; i < items.size(); i++){
            if(items.get(i).id == id) return items.get(i);
        }
        return null;
    }
    
    public static Item getItemByName(String name){
        for(int i = 0; i < items.size(); i++){
            if(items.get(i).name.equals(name))
                return items.get(i);
        }
        return null;
    }
    
    
}
