package app.item;

import java.util.ArrayList;

/**
 * @author Death
 */
public class StackItems {

    public int sizeMax;
    public String name;
    public ArrayList<Item> items;
    public int idItems;
    public int x, y;
    
    public StackItems(Item i){
        x = 0;
        y = 0;
        this.idItems = i.id;
        items = new ArrayList<>();
        sizeMax = i.stackMax;
        name = i.name;
    }
    
    public int add(Item i){
        if(items.size() < sizeMax && i.id == idItems){
            items.add(i);
            return 1;
        }else{
            return -1;
        }
    }
    
    public int remove(Item i){
        if(items.size() > 0 && i.id == idItems){
            items.remove(i);
            return 1;
        }else{
            return -1;
        }
    }
    
    public void addStack(StackItems s){
        if(s == null)
            return;
        if(s.idItems != this.idItems)
            return;
        for(int i = 0; i < s.items.size(); i++){
            if(!s.items.isEmpty()){
                if(this.add(s.items.get(i)) == 1){
                    s.items.remove(i);
                }
            }else{
                s = null;
                return;
            }
        }
    }
}
