package app.item;

import GL.system.SM;
import java.awt.image.BufferedImage;

/**
 * @author Death
 */
public class StaticImage {

    public static String texrure = "./res/texture/";
    
    //Блоки и предметы
    public static BufferedImage dirst[] = {
            SM.imgFile(texrure + "dirst_1.png"),
            SM.imgFile(texrure + "dirst_2.png"),
            SM.imgFile(texrure + "dirst_3.png")};
    public static BufferedImage soil = SM.imgFile(texrure + "soil.png");
    public static BufferedImage tree = SM.imgFile(texrure + "tree.png");
    public static BufferedImage board = SM.imgFile(texrure + "board.png");
    public static BufferedImage stone = SM.imgFile(texrure + "stone.png");
    public static BufferedImage cobblestone = SM.imgFile(texrure + "cobblestone.png");
    public static BufferedImage foliage = SM.imgFile(texrure + "foliage.png");
    public static BufferedImage grass[] = {
        SM.imgFile(texrure + "grass_1.png"),
        SM.imgFile(texrure + "grass_2.png"),
        SM.imgFile(texrure + "grass_3.png")};
    
    public static BufferedImage woodenPick = SM.imgFile("./res/items/woodenPick.png");
    public static BufferedImage stick = SM.imgFile("./res/items/stick.png");
    
    public static BufferedImage get(String name){
        switch(name){
            case "dirst": return dirst[SM.rnd(0, dirst.length)];
            case "soil": return soil;
            case "tree": return tree;
            case "board": return board;
            case "stone": return stone;
            case "cobblestone": return cobblestone;
            case "foliage": return foliage;
            case "grass": return grass[SM.rnd(0, grass.length)];
            
            case "stick": return stick;
            case "woodenPick": return woodenPick;
        }
        return null;
    }
}
