package ru.wladimir.map;

import java.awt.Graphics2D;

/**
 * @author Death
 */
public class ObjectMap {

    public static final int
            NOPE = -1,
            FULL = 1,
            PARTIAL = 2;
    
    public int xId, yId, wId, hId;
    public Map map;
    
    public boolean flagMove;
    public double dxM, dyM;
    public long timeDelay, timeSleepMove;
    public int x, y;

    public ObjectMap() {
        xId = 0;
        yId = 0;
        wId = 0;
        hId = 0;
        map = null;
    }
    
    public void paint(Graphics2D g, int x, int y){
        
    }
    
    public void update(){
        
    }
    
    public int getXScreen(Map map){
        int x = xId * Setting.SizeTileA;
        if(map != null) x = map.x + x;
        return x;
    }
    
    public int getYScreen(Map map){
        int y = yId * Setting.SizeTileA;
        if(map != null) y = map.y + y;
        return y;
    }
    
    public int getTouching(ObjectMap ob){
        if(this.xId >= ob.xId && this.yId >= ob.yId
                && this.xId + this.wId < ob.xId + ob.wId
                && this.yId + this.hId < ob.yId + ob.hId){
            return FULL;
        }
        if(ob.xId >= this.xId && ob.yId >= this.yId
                && ob.xId + ob.wId < this.xId + this.wId
                && ob.yId + ob.hId < this.yId + this.hId){
            return FULL;
        }
        
        return NOPE;
    }
}
