package app.dialog.startGame;

import app.Manager;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * @author Death
 */
public class DialogStartGame extends JDialog{
    private class Panel extends JPanel{
        public Panel(DialogStartGame d){
            super();
            int W = 400;
            int H = 100;
            JButton next;
            JLabel labelName, labelMapID;
            JTextField nameField, mapIDField;
            this.setLayout(null);
            this.setLocation(0, 0);
            this.setPreferredSize(new Dimension(W, H));
            next = new JButton("Дальше");
            labelName = new JLabel("Введите Ваше имя:");
            nameField = new JTextField("Player");
            labelMapID = new JLabel("Введите ID карты:");
            mapIDField = new JTextField("1");
            Font f = new Font("calibri", 0, 17);
            
            labelName.setLocation(5, 5);
            labelName.setSize(W / 2 - 20, 25);
            labelName.setFont(f);
            
            labelMapID.setLocation(5, 5 + 25 + 5);
            labelMapID.setSize(W / 2 - 20, 25);
            labelMapID.setFont(f);
            
            nameField.setLocation(W - (W / 2 + 10) - 5, 5);
            nameField.setSize(W / 2 + 10, 25);
            nameField.setFont(f);
            
            mapIDField.setLocation(W - (W / 2 + 10) - 5, 5 + 25 + 5);
            mapIDField.setSize(W / 2 + 10, 25);
            mapIDField.setFont(f);
            
            nameField.setLocation(W - (W / 2 + 10) - 5, 5);
            nameField.setSize(W / 2 + 10, 25);
            nameField.setFont(f);
            
            next.setSize(100, 25);
            next.setLocation(W / 2 - 100 /2, H - 25 - 5);
            next.setFont(f);
            next.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e){
                    app.Setting.ID_MAP = Integer.parseInt(mapIDField.getText());
                    start(d);
                }
            });
            
            this.setBackground(new Color(140, 140, 140, 140));
            this.add(next);
            this.add(labelMapID);
            this.add(labelName);
            this.add(mapIDField);
            this.add(nameField);
        }
        private void start(DialogStartGame di){
            Manager.appMenuGoToNewGame();
            di.setVisible(false);
        }
    }

    public DialogStartGame(){
        super();
        this.setUndecorated(true);
        this.setModal(true);
        this.setEnabled(true);
        this.add(new Panel(this));
        this.pack();
        this.setLocationRelativeTo(null);
        this.setTitle("Старт LandscapeCraft");
        this.setVisible(true);
    }
    
    
}
