package app.file;

import app.Manager;
import app.inventory.Inventory;
import app.inventory.InventoryBar;
import app.item.Item;
import app.item.ItemsSys;
import app.item.StackItems;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

/**
 * @author Death
 */
public class FileInv {

    public static String path = "./save/inv.bin";
    
    public static void save() throws FileNotFoundException, IOException{
        DataOutputStream out = new DataOutputStream(new FileOutputStream(path));
        Inventory inv = Manager.game.player.inventory;
        InventoryBar invBar = Manager.game.player.inventoryBar;
        for(int i = 0; i < inv.WIDTH_INV; i++){
            for(int j = 0; j < inv.HEIGTH_INV; j++){
                if(inv.stack[i][j] != null){
                    out.writeInt(inv.stack[i][j].idItems);
                    out.writeInt(inv.stack[i][j].items.size());
                }else{
                    out.writeInt(-1);
                }
            }
        }
        for(int i = 0; i < invBar.WIDTH_INV; i++){
            if(invBar.stack[i][0] != null){
                out.writeInt(invBar.stack[i][0].idItems);
                out.writeInt(invBar.stack[i][0].items.size());
            }else{
                out.writeInt(-1);
            }
        }
    }
    
    public static void load() throws FileNotFoundException, IOException{
        DataInputStream in = new DataInputStream(new FileInputStream(path));
        Inventory inv = Manager.game.player.inventory;
        InventoryBar invBar = Manager.game.player.inventoryBar;
        inv.init();
        invBar.init();
        for(int i = 0; i < inv.WIDTH_INV; i++){
            for(int j = 0; j < inv.HEIGTH_INV; j++){
                int id = in.readInt();
                if(id != -1){
                    int col = in.readInt();
                    StackItems stack = new StackItems(ItemsSys.getItemById(id));
                    for(int c = 0; c < col; c++){
                        stack.add(ItemsSys.getItemById(id));
                    }
                    inv.stack[i][j] = stack;
                }
            }
        }
        for(int j = 0; j < invBar.WIDTH_INV; j++){
            int id = in.readInt();
            if(id != -1){
                int col = in.readInt();
                invBar.stack[j][0] = new StackItems(ItemsSys.getItemById(id));
                for(int c = 0; c < col; c++){
                    invBar.stack[j][0].add(Item.getCop(ItemsSys.getItemById(id)));
                }
            }
        }
    }
}
