package app.game.background;

import GL.system.SM;
import app.Main;
import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.util.Random;

/**
 * @author Death
 */
public class Cloud {
    
    static final BufferedImage[] image = {SM.imgFile("./res/cloud/1.png"),SM.imgFile("./res/cloud/2.png"),SM.imgFile("./res/cloud/3.png")};

    int x, y, dx;
    Random rnd;
    long timeDelay;
    int s;

    public Cloud(){
        rnd = new Random();
        x = rnd.nextInt(Main.display.getWidth());
        y = rnd.nextInt(Main.display.getHeight());
        dx = rnd.nextInt(6) - 3;
        s = rnd.nextInt(image.length);
    }
    
    public void paint(Graphics2D g){
        g.drawImage(image[s], (int)x, (int)y, null);
    }
    
    public void update(){
        if(!(System.currentTimeMillis() - timeDelay > 1000/40))
            return;
        timeDelay = System.currentTimeMillis();
        if(dx == 0)
            dx = 1;
        x += dx;
        if(x > Main.display.getWidth() + image[s].getWidth()){
            x = 0 - image[s].getWidth();
            y = rnd.nextInt(Main.display.getHeight());
            dx = rnd.nextInt(6) - 3;
        }
        if(x < 0 - image[s].getWidth()){
            x = Main.display.getWidth() + image[s].getWidth();
            y = rnd.nextInt(Main.display.getHeight());
            dx = rnd.nextInt(6) - 3;
        }
    }
    
}
