package app.inventory;

import GL.system.Display;
import GL.system.SM;
import app.Setting;
import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Graphics2D;

/**
 * @author Death
 */
public class Inventory extends Container{
    

    public Inventory() {
        super();
        image = SM.imgFile("./res/ui/inventory.png");
        this.image = SM.resize(image, (int)(image.getWidth() * Setting.sizeGui), (int)(image.getHeight() * Setting.sizeGui));
    }
    public void init(){
        x = Display.getWidth()/2 - image.getWidth()/2;
        y = Display.getHeight()/2 - image.getHeight()/2;
        super.init(9, 3);
    }

    @Override
    public void paint(Graphics2D g){
        super.paint(g); //To change body of generated methods, choose Tools | Templates.
        
        g.setColor(new Color(80, 80, 80));
        g.setStroke(new BasicStroke(3));
        g.drawRect(x, y, image.getWidth(), image.getHeight());
        g.setStroke(new BasicStroke(1));
    }
    
}
