package app.mobs;

import app.Manager;
import app.player.Cursor;
import app.player.Player;
import app.player.body.Body;
import java.util.ArrayList;
import static ru.wladimir.map.Setting.SizeTileA;

/**
 * @author Death
 */
public class MobRender {

    public static ArrayList<Mob> mobs;
    
    public static void init(){
        mobs = new ArrayList<>();
    }
    
    public static void add(Mob m){
        if(mobs.size() > 500)
            return;
       mobs.add(m);
       Manager.game.map.add(m);
    }
    
    public static void remove(Mob m){
        mobs.remove(m);
        Manager.game.map.remove(m);
    }
    
    public static void act(Cursor cur){
        int xC = cur.xId * SizeTileA + SizeTileA / 2;
        int yC = cur.yId * SizeTileA + SizeTileA / 2;
        for(int i = 0; i < mobs.size(); i++){
            if(xC > mobs.get(i).x && yC > mobs.get(i).y && xC < mobs.get(i).x + mobs.get(i).w && yC < mobs.get(i).y + mobs.get(i).h){
                mobs.get(i).actMob();
            }
        }
    }
    
    public static void ataka(){
        Player pa = Manager.game.player;
        for(int i = 0; i < mobs.size(); i++){
            int xMob = mobs.get(i).x + mobs.get(i).w / 2;
            int yMob = mobs.get(i).y + mobs.get(i).h / 2;
            if(Manager.game.player.body.direction == Body.LEFT_GO || Manager.game.player.body.direction == Body.LEFT){
                if(xMob > pa.x - pa.rAtaka && yMob > pa.y - pa.h && xMob < pa.x + pa.w && yMob < pa.y + pa.h){
                    mobs.get(i).atakaMob(Manager.game.player.ataka);
                    return;
                }
            }
            if(pa.body.direction == Body.RIGHT_GO || pa.body.direction == Body.RIGHT){
                if(xMob > pa.x - pa.w && xMob > pa.y - pa.h && xMob < pa.x + pa.rAtaka && yMob < pa.y + pa.h){
                    mobs.get(i).atakaMob(Manager.game.player.ataka);
                    return;
                }
            }
        }
    }
}
