package app.ui;

import GL.system.SM;
import GL.system.listener.Mouse;
import GL.system.screen.Component;
import app.Main;
import java.awt.Color;
import java.awt.Graphics2D;

/**
 * @author Death
 */
public class Button extends Component{

    public interface IClick{
        public void click();
    }
    
    Mouse mouse;
    public IClick iClick;
    public Color colorBack, colorText, colorRect;
    public String text;
    
    public Button(){
        mouse = new Mouse();
        iClick = null;
        colorBack = new Color(100, 100, 100);
        colorText = new Color(255, 0, 0);
        colorRect = new Color(0, 0, 255);
        text = " ";
    }

    @Override
    public void paint(Graphics2D g) {
        super.paint(g); //To change body of generated methods, choose Tools | Templates.
        g.setColor(colorBack);
        g.fillRect(x, y, w, h);
        g.setColor(colorText);
        g.drawString(text, x + w / 2 - SM.getWidthStr(g, text) / 2, y + h - SM.getHeightStr(g, text) / 2);
    }

    @Override
    public void updateGUI() {
        super.updateGUI(); //To change body of generated methods, choose Tools | Templates.
        
    }
    
    
}
